Class Lambda2EndpointBuilderFactory.Lambda2HeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.Lambda2EndpointBuilderFactory.Lambda2HeaderNameBuilder
-
- Enclosing interface:
- Lambda2EndpointBuilderFactory
public static class Lambda2EndpointBuilderFactory.Lambda2HeaderNameBuilder extends Object
The builder of headers' name for the AWS Lambda component.
-
-
Constructor Summary
Constructors Constructor Description Lambda2HeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description StringawsLambdaAliasFunctionDescription()The function description to set in the alias.StringawsLambdaAliasFunctionName()The function name of the alias.StringawsLambdaDescription()The user-provided description.StringawsLambdaEnvironmentVariables()The key-value pairs that represent your environment's configuration settings.StringawsLambdaEventSourceArn()The Amazon Resource Name (ARN) of the event source.StringawsLambdaEventSourceBatchSize()The maximum number of records in each batch that Lambda pulls from your stream or queue and sends to your function.StringawsLambdaEventSourceUuid()The identifier of the event source mapping.StringawsLambdaFunctionVersion()The function version to set in the alias.StringawsLambdaHandler()The function within your code that Lambda calls to begin execution.StringawsLambdaKMSKeyArn()The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.StringawsLambdaMemorySize()The memory size, in MB, you configured for the function.StringawsLambdaOperation()The operation we want to perform.StringawsLambdaPublish()This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.StringawsLambdaResourceArn()The function's Amazon Resource Name (ARN).StringawsLambdaResourceTagKeys()A list of tag keys to remove from the function.StringawsLambdaResourceTags()A list of tags to apply to the function.StringawsLambdaRole()The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.StringawsLambdaRuntime()The runtime environment for the Lambda function you are uploading.StringawsLambdaS3Bucket()Amazon S3 bucket name where the .zip file containing your deployment package is stored.StringawsLambdaS3Key()The Amazon S3 object (the deployment package) key name you want to upload.StringawsLambdaS3ObjectVersion()The Amazon S3 object (the deployment package) version you want to upload.StringawsLambdaSecurityGroupIds()If your Lambda function accesses resources in a VPC, a list of one or more security groups IDs in your VPC.StringawsLambdaSubnetIds()If your Lambda function accesses resources in a VPC, a list of one or more subnet IDs in your VPC.StringawsLambdaTags()The list of tags (key-value pairs) assigned to the new function.StringawsLambdaTargetArn()The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.StringawsLambdaTimeout()The function execution time at which Lambda should terminate the function.StringawsLambdaTracingConfig()Your function's tracing settings (Active or PassThrough).StringawsLambdaVersionDescription()A description for the version to override the description in the function configuration.StringawsLambdaVersionRevisionId()Only update the function if the revision ID matches the ID that's specified.StringawsLambdaZipFile()The local path of the zip file (the deployment package).
-
-
-
Method Detail
-
awsLambdaOperation
public String awsLambdaOperation()
The operation we want to perform. Override operation passed as query parameter. The option is a:Stringtype. Required: true Group: all- Returns:
- the name of the header
AwsLambdaOperation.
-
awsLambdaS3Bucket
public String awsLambdaS3Bucket()
Amazon S3 bucket name where the .zip file containing your deployment package is stored. This bucket must reside in the same AWS region where you are creating the Lambda function. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaS3Bucket.
-
awsLambdaS3Key
public String awsLambdaS3Key()
The Amazon S3 object (the deployment package) key name you want to upload. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaS3Key.
-
awsLambdaS3ObjectVersion
public String awsLambdaS3ObjectVersion()
The Amazon S3 object (the deployment package) version you want to upload. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaS3ObjectVersion.
-
awsLambdaZipFile
public String awsLambdaZipFile()
The local path of the zip file (the deployment package). Content of zip file can also be put in Message body. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaZipFile.
-
awsLambdaDescription
public String awsLambdaDescription()
The user-provided description. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaDescription.
-
awsLambdaRole
public String awsLambdaRole()
The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. The option is a:Stringtype. Required: true Group: createFunction- Returns:
- the name of the header
AwsLambdaRole.
-
awsLambdaRuntime
public String awsLambdaRuntime()
The runtime environment for the Lambda function you are uploading. (nodejs, nodejs4.3, nodejs6.10, java8, python2.7, python3.6, dotnetcore1.0, odejs4.3-edge). The option is a:Stringtype. Required: true Group: createFunction- Returns:
- the name of the header
AwsLambdaRuntime.
-
awsLambdaHandler
public String awsLambdaHandler()
The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be package.class-name::handler or package.class-name. The option is a:Stringtype. Required: true Group: createFunction- Returns:
- the name of the header
AwsLambdaHandler.
-
awsLambdaTargetArn
public String awsLambdaTargetArn()
The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaTargetArn.
-
awsLambdaMemorySize
public String awsLambdaMemorySize()
The memory size, in MB, you configured for the function. Must be a multiple of 64 MB. The option is a:Integertype. Group: createFunction- Returns:
- the name of the header
AwsLambdaMemorySize.
-
awsLambdaKMSKeyArn
public String awsLambdaKMSKeyArn()
The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key. The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaKMSKeyArn.
-
awsLambdaEnvironmentVariables
public String awsLambdaEnvironmentVariables()
The key-value pairs that represent your environment's configuration settings. The option is a:Map<String, String>type. Group: createFunction- Returns:
- the name of the header
AwsLambdaEnvironmentVariables.
-
awsLambdaPublish
public String awsLambdaPublish()
This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation. The option is a:Booleantype. Group: createFunction updateFunction- Returns:
- the name of the header
AwsLambdaPublish.
-
awsLambdaTimeout
public String awsLambdaTimeout()
The function execution time at which Lambda should terminate the function. The default is 3 seconds. The option is a:Integertype. Group: createFunction- Returns:
- the name of the header
AwsLambdaTimeout.
-
awsLambdaTags
public String awsLambdaTags()
The list of tags (key-value pairs) assigned to the new function. The option is a:Map<String, String>type. Group: createFunction- Returns:
- the name of the header
AwsLambdaTags.
-
awsLambdaTracingConfig
public String awsLambdaTracingConfig()
Your function's tracing settings (Active or PassThrough). The option is a:Stringtype. Group: createFunction- Returns:
- the name of the header
AwsLambdaTracingConfig.
-
awsLambdaSecurityGroupIds
public String awsLambdaSecurityGroupIds()
If your Lambda function accesses resources in a VPC, a list of one or more security groups IDs in your VPC. The option is a:List<String>type. Group: createFunction- Returns:
- the name of the header
AwsLambdaSecurityGroupIds.
-
awsLambdaSubnetIds
public String awsLambdaSubnetIds()
If your Lambda function accesses resources in a VPC, a list of one or more subnet IDs in your VPC. The option is a:List<String>type. Group: createFunction- Returns:
- the name of the header
AwsLambdaSubnetIds.
-
awsLambdaEventSourceArn
public String awsLambdaEventSourceArn()
The Amazon Resource Name (ARN) of the event source. The option is a:Stringtype. Group: createEventSourceMapping- Returns:
- the name of the header
AwsLambdaEventSourceArn.
-
awsLambdaEventSourceBatchSize
public String awsLambdaEventSourceBatchSize()
The maximum number of records in each batch that Lambda pulls from your stream or queue and sends to your function. The option is a:Integertype. Group: createEventSourceMapping- Returns:
- the name of the header
AwsLambdaEventSourceBatchSize.
-
awsLambdaEventSourceUuid
public String awsLambdaEventSourceUuid()
The identifier of the event source mapping. The option is a:Stringtype. Group: deleteEventSourceMapping- Returns:
- the name of the header
AwsLambdaEventSourceUuid.
-
awsLambdaResourceArn
public String awsLambdaResourceArn()
The function's Amazon Resource Name (ARN). The option is a:Stringtype. Group: listTags tagResource untagResource- Returns:
- the name of the header
AwsLambdaResourceArn.
-
awsLambdaResourceTags
public String awsLambdaResourceTags()
A list of tags to apply to the function. The option is a:Map<String, String>type. Group: tagResource- Returns:
- the name of the header
AwsLambdaResourceTags.
-
awsLambdaResourceTagKeys
public String awsLambdaResourceTagKeys()
A list of tag keys to remove from the function. The option is a:List<String>type. Group: untagResource- Returns:
- the name of the header
AwsLambdaResourceTagKeys.
-
awsLambdaVersionDescription
public String awsLambdaVersionDescription()
A description for the version to override the description in the function configuration. The option is a:Stringtype. Group: publishVersion- Returns:
- the name of the header
AwsLambdaVersionDescription.
-
awsLambdaVersionRevisionId
public String awsLambdaVersionRevisionId()
Only update the function if the revision ID matches the ID that's specified. The option is a:Stringtype. Group: publishVersion- Returns:
- the name of the header
AwsLambdaVersionRevisionId.
-
awsLambdaFunctionVersion
public String awsLambdaFunctionVersion()
The function version to set in the alias. The option is a:Stringtype. Group: createAlias listAliases- Returns:
- the name of the header
AwsLambdaFunctionVersion.
-
awsLambdaAliasFunctionName
public String awsLambdaAliasFunctionName()
The function name of the alias. The option is a:Stringtype. Required: true Group: createAlias deleteAlias getAlias- Returns:
- the name of the header
AwsLambdaAliasFunctionName.
-
awsLambdaAliasFunctionDescription
public String awsLambdaAliasFunctionDescription()
The function description to set in the alias. The option is a:Stringtype. Group: createAlias- Returns:
- the name of the header
AwsLambdaAliasFunctionDescription.
-
-